//
//  BooksModel.m
//  ORBooks
//
//  Created by Elisabeth Robson on 7/9/09.
//  Copyright 2009 Elisabeth Robson. All rights reserved.
//

#import "BooksModel.h"

@implementation BooksModel

@synthesize books;
@synthesize bookImages;

- (id) init {
	self = [super init];
	NSMutableArray *tmpBooks = [[NSArray alloc] initWithObjects:
									@"Head First Design Patterns", 
									@"Head First HTML & CSS", 
									@"Head First iPhone", 
									nil];
	self.books = tmpBooks;
	[tmpBooks release];
	NSMutableArray *tmpImages = [[NSArray alloc] initWithObjects:
								 @"HFDP.png", @"HFHTML.png", @"HFiPhone.png", nil];
	self.bookImages = tmpImages;
	[tmpImages release];
	return self;
}

- (int)getNumberOfBooks {
	return [books count];
}

- (NSString *)getBookTitleAtIndex:(int)index {
	return [books objectAtIndex:index];
}

- (UIImage *)getBookImageAtIndex:(int)index {
	UIImage *bookImage = [UIImage imageNamed:[bookImages objectAtIndex:index]];
	return bookImage;
}

- (void) dealloc {
	[books release];
	[bookImages release];
	[super dealloc];
}

@end
