//
//  BooksTableViewController.h
//  ORBooks
//
//  Created by Elisabeth Robson on 6/19/09.
//  Copyright 2009 Elisabeth Robson. All rights reserved.
//

#import <UIKit/UIKit.h>
@class BookDetailViewController;
@class BooksModel;

// don't need to specify the delegate, datasource interfaces; UITableViewController gets those automatically
@interface BooksTableViewController : UITableViewController {
	IBOutlet UITableView *booksTableView;
	NSMutableArray *booksArray;
	BookDetailViewController *bookDetailViewController;
	BooksModel *booksModel;
}

@property (nonatomic, retain) NSMutableArray *booksArray;
@property (nonatomic, retain) BookDetailViewController *bookDetailViewController;
@property (nonatomic, retain) BooksModel *booksModel;

@end
